%define upstream_name    Tk-Clock
%define upstream_version 0.39

%global __requires_exclude /pro/bin/perl

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Canvas based Clock widget
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Tk/%{upstream_name}-%{upstream_version}.tgz

#BuildRequires: x11-server-xvfb
BuildArch:  noarch

%description
This module implements a Canvas-based clock widget for perl-Tk with lots of
options to change the appearance.

Both analog and digital clocks are implemented.

Options
    Below is a description of the options currently available. Their
    default value is in between parenthesis.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
#xvfb-run make test

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.390.0-5.mga8
+ Revision: 1497881
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.390.0-4.mga7
+ Revision: 1272385
- Mageia 7 Mass Rebuild

* Thu May 12 2016 tv <tv> 0.390.0-3.mga6
+ Revision: 1014128
- use std build macros; prevent commented out macros to break build

* Fri Feb 19 2016 umeabot <umeabot> 0.390.0-2.mga6
+ Revision: 968607
- Mageia 6 Mass Rebuild

* Tue Jul 14 2015 sander85 <sander85> 0.390.0-1.mga6
+ Revision: 854083
- update to 0.39

* Wed Oct 15 2014 umeabot <umeabot> 0.360.0-3.mga5
+ Revision: 746449
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.360.0-2.mga5
+ Revision: 686720
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Tue Apr 15 2014 jquelin <jquelin> 0.360.0-1.mga5
+ Revision: 615026
- update to 0.36

* Mon Feb 10 2014 jquelin <jquelin> 0.350.0-1.mga5
+ Revision: 588757
- update to 0.35

* Sat Oct 19 2013 umeabot <umeabot> 0.340.0-2.mga4
+ Revision: 527409
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.340.0-1.mga4
+ Revision: 440043
- update to 0.34

* Sun Jan 13 2013 umeabot <umeabot> 0.330.0-2.mga3
+ Revision: 374409
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.330.0-1.mga3
+ Revision: 255540
- update to 0.33

* Mon Sep 26 2011 jquelin <jquelin> 0.320.0-1.mga2
+ Revision: 148213
- update to 0.32

* Fri Jun 17 2011 jquelin <jquelin> 0.300.0-1.mga2
+ Revision: 109027
- update to 0.30

* Sat Jan 22 2011 jquelin <jquelin> 0.290.0-1.mga1
+ Revision: 32501
- mageia rebuild
- imported package perl-Tk-Clock

